Get Draft Attachment
curl --request GET \
--url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id}/attachments/{attachment_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id}/attachments/{attachment_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id}/attachments/{attachment_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attachment_id": "<string>",
"size": 123,
"download_url": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"filename": "<string>",
"content_type": "<string>",
"content_disposition": "inline",
"content_id": "<string>"
}{
"name": "<string>",
"message": "<string>"
}Drafts
Get Draft Attachment
Fetches metadata for one attachment on an unsent draft.
GET
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
drafts
/
{draft_id}
/
attachments
/
{attachment_id}
Get Draft Attachment
Fetches metadata for one attachment on an unsent draft. Returns
attachment_id, filename, size, content_type, content_disposition, content_id and a short-lived download_url with expires_at. The bytes are not inlined — fetch download_url before it expires. Ids come from the draft’s attachments array on get_agentmail_inbox_draft. The sent-message twin is get_agentmail_inbox_message_attachment.
Example
curl -X GET "https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/drafts/{draft_id}/attachments/{attachment_id}" \
-H "Authorization: Bearer YOUR_API_KEY"
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bearer authentication
Path Parameters
The ID of the inbox.
ID of draft.
ID of attachment.
Response
Response with status 200
ID of attachment.
Size of attachment in bytes.
URL to download the attachment.
Time at which the download URL expires.
Filename of attachment.
Content type of attachment.
Content disposition of attachment.
Available options:
inline, attachment Content ID of attachment.